package com.iformall.enums;

/**
 * Created by Stormeye on 2018/08/09.
 */
public enum EnumWeappCodeCommitStatus {

    // 0: 提交成功, 1: 提交失败, ;

    SUCCESS(0, "提交成功"),
    FAIL(1, "提交失败")
    ;

    public static EnumWeappCodeCommitStatus getEnum(Integer code) {
        for (EnumWeappCodeCommitStatus value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private Integer code;
    private String message;

    EnumWeappCodeCommitStatus(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
